LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XHyperlinkControl Interface Reference

defines the interface for an XPropertyControl which displays its value in a hyperlink-like way More...

`import"XHyperlinkControl.idl";`

Inheritance diagram for XHyperlinkControl:

## Public Member Functions
void | addActionListener ([in] com::sun::star::awt::XActionListener listener)
| adds a listener which will be notified when the user clicked the hyperlink text in the control More...
void | removeActionListener ([in] com::sun::star::awt::XActionListener listener)
| removes a listener which was previously added via addActionListener() More...
Public Member Functions inherited from XPropertyControl
boolean | isModified ()
| determines whether the control content is currently modified More...
void | notifyModifiedValue ()
| notifies the context in which the control lives of the current control value, if this value is currently modified More...

## Additional Inherited Members
Public Attributes inherited from XPropertyControl
short | ControlType
| denotes the type of the control, as one of the PropertyControlType constants More...
any | Value { set raises(com::sun::star::beans::IllegalTypeException); }
| denotes the current content of the control. More...
type | ValueType
| denotes the value type of the control. More...
XPropertyControlContext | ControlContext
| specifies the context of the control within the ObjectInspector. More...
com::sun::star::awt::XWindow | ControlWindow
| denotes the window which is the real UI representation of the property control. More...

## Detailed Description

defines the interface for an XPropertyControl which displays its value in a hyperlink-like way

Hyperlink controls exchange their value (XPropertyControl::Value) as strings.

Since
  OOo 2.0.3

## Member Function Documentation

## ◆ addActionListener()

void addActionListener | ( | [in] com::sun::star::awt::XActionListener | listener | ) |

adds a listener which will be notified when the user clicked the hyperlink text in the control

Parameters

  listener | the listener to notify of hyperlink clicks

## ◆ removeActionListener()

void removeActionListener | ( | [in] com::sun::star::awt::XActionListener | listener | ) |

removes a listener which was previously added via addActionListener()

Parameters

  listener | the listener to revoke

The documentation for this interface was generated from the following file:

- com/sun/star/inspection/XHyperlinkControl.idl